Share your contact card with a chat
POST/v3/chats/{chatId}/share_contact_card
Share your contact information (Name and Photo Sharing) with a chat.
Note: A contact card must be configured before sharing. You can set up your contact card via the Contact Card API or on the Linq dashboard.
If the sending line has no active contact card, the request is rejected with 404 (error code 2012, “Contact card not found”).
Rate limited per chat: at most 1 share per chat every 5 minutes.
Share your contact card with a chat
curl https://api.linqapp.com/api/partner/v3/chats/$CHAT_ID/share_contact_card \
-X POST \
-H "Authorization: Bearer $LINQ_API_V3_API_KEY"{
"error": {
"status": 401,
"code": 2004,
"message": "Unauthorized - missing or invalid authentication token",
"doc_url": "https://docs.linqapp.com/channel/imessage/error/codes/2xxx/2004/"
},
"success": false
}{
"error": {
"status": 403,
"code": 2005,
"message": "Access denied - insufficient permissions for this resource",
"doc_url": "https://docs.linqapp.com/channel/imessage/error/codes/2xxx/2005/"
},
"success": false
}{
"error": {
"status": 404,
"code": 2001,
"message": "Resource not found",
"doc_url": "https://docs.linqapp.com/channel/imessage/error/codes/2xxx/2001/"
},
"success": false
}{
"error": {
"status": 429,
"code": 1007,
"message": "Rate limited. Try again in 45 seconds.",
"doc_url": "https://docs.linqapp.com/channel/imessage/error/codes/1xxx/1007/",
"retry_after": 45
},
"success": false
}{
"error": {
"status": 500,
"code": 3006,
"message": "Internal server error",
"doc_url": "https://docs.linqapp.com/channel/imessage/error/codes/3xxx/3006/"
},
"success": false
}Returns Examples
{
"error": {
"status": 401,
"code": 2004,
"message": "Unauthorized - missing or invalid authentication token",
"doc_url": "https://docs.linqapp.com/channel/imessage/error/codes/2xxx/2004/"
},
"success": false
}{
"error": {
"status": 403,
"code": 2005,
"message": "Access denied - insufficient permissions for this resource",
"doc_url": "https://docs.linqapp.com/channel/imessage/error/codes/2xxx/2005/"
},
"success": false
}{
"error": {
"status": 404,
"code": 2001,
"message": "Resource not found",
"doc_url": "https://docs.linqapp.com/channel/imessage/error/codes/2xxx/2001/"
},
"success": false
}{
"error": {
"status": 429,
"code": 1007,
"message": "Rate limited. Try again in 45 seconds.",
"doc_url": "https://docs.linqapp.com/channel/imessage/error/codes/1xxx/1007/",
"retry_after": 45
},
"success": false
}{
"error": {
"status": 500,
"code": 3006,
"message": "Internal server error",
"doc_url": "https://docs.linqapp.com/channel/imessage/error/codes/3xxx/3006/"
},
"success": false
}